﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _1168460_ChartDataSource
{
    public partial class Form1 : RadForm
    {
        DataTable table = new DataTable();

        public Form1()
        {
            InitializeComponent();
           
            table.Columns.Add("Value", typeof(double));
            table.Columns.Add("Name", typeof(string));
            table.Rows.Add(1, "John");
            table.Rows.Add(3, "Adam");
            table.Rows.Add(5, "Peter");
            table.Rows.Add(12, "Sam");
            table.Rows.Add(6, "Paul");

            BarSeries lineSeria = new BarSeries();
            radChartView1.Series.Add(lineSeria);
            lineSeria.ValueMember = "Value";
            lineSeria.CategoryMember = "Name";
            lineSeria.DataSource = table;

            this.radGridView1.DataSource = table;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radChartView1.Series[0].DataSource = null; 

            this.radGridView1.DataSource = null;

            foreach (DataRow row in table.Rows)
            {
                row["Value"] = (double)row["Value"] + 10;
            }
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            this.radChartView1.Series[0].DataSource = table;
            this.radGridView1.DataSource = table;
        }
    }
}